=== debian/changelog ===
busybox (1:1.37.0-7) unstable; urgency=medium

  * patches/archival-disallow-path-traversals-CVE-2023-39810.patch
    (Closes: #1055307, CVE-2023-39810)
  * archival-disallow-path-traversals-CVE-2023-39810.patch:
    use the correct "echo" when constructing the archive
  * d/config/pkg/* CONFIG_FEATURE_PATH_TRAVERSAL_PROTECTION=y
  * enable chattr and lsattr applets (Closes: #1119539)
  * udeb: install all links in /usr/, do not touch /bin & /sbin

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Oct 2025 12:47:09 +0300

busybox (1:1.37.0-6) unstable; urgency=medium

  * udeb config: remove wget applet
    (wget-udeb is used for this for many years) (Closes: #1107392)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 Jun 2025 00:34:24 +0300

busybox (1:1.37.0-5) unstable; urgency=medium

  * d/control: switch from Static-Built-Using back to Built-Using
    (Closes: #1106796)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 30 May 2025 20:03:19 +0300

busybox (1:1.37.0-4) unstable; urgency=medium

  * d/control: use Static-Built-Using for busybox-static, not Built-Using
  * fix-od-and-hexdump-tests-on-big-endian-hosts.patch: v2
    (implement it a bit differently, fix bug in v1)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 14:30:47 +0300

busybox (1:1.37.0-3) unstable; urgency=medium

  * d/patches: +fix-od-and-hexdump-tests-on-big-endian-hosts.patch
    to fix tests failure on big-endian hosts

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 13:35:45 +0300

busybox (1:1.37.0-2) unstable; urgency=medium

  * libbb-sha-add-missing-sha-NI-guard.patch - fix ftbfs on !x86

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 11:09:29 +0300

busybox (1:1.37.0-1) unstable; urgency=medium

  * new upstream release 1.37.0
    Closes: CVE-2021-42380 (awk use-after-realloc)
    Cloese: CVE-2023-42363 (awk use-after-free)
  * d/patches/: refresh platform-linux.diff and version.patch
  * d/patches/: remove:
    - install-fix-chown-resetting-suid-sgid-bits-from-chmod.patch
    - syslogd-daemonize-after-init-make-errs-visible.patch
    - syslogd-decrease-stack-usage-50-bytes.patch
    - syslogd-fix-breakage-caused-by-daemonize-_after_-ini.patch
  * d/config/pkg/*: update configs:
    - enable time64
    - enable find exec-ok for regular and static builds
    - enable getfattr for regular and static builds
    - enable ip-link-can for regular and static builds
    - enable feature udhcpd bootp

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 06 Oct 2024 10:20:49 +0300

busybox (1:1.36.1-9) unstable; urgency=medium

  * platform-linux.diff: udhcpc6 also depends on PLATFORM_LINUX
    (fixes ftbfs on hurd)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:51:14 +0300

busybox (1:1.36.1-8) unstable; urgency=medium

  * busybox-1.36.1-no-cbq.patch to disable CBQ which is dropped
    from kernel in 6.8 (Closes: #1071648)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Jul 2024 13:03:13 +0300

busybox (1:1.36.1-7) unstable; urgency=medium

  * udeb: remove all modutils (kmod-udeb provides better alternatives)
    (Closes: #1060134)
  * deb, static, udeb: provide install applet (Closes: #1069864)
  * udhcpc/default.script: recognize $search dhcp parameter too,
    in addition to $domain (and simplify these parts a bit)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 16 May 2024 21:49:03 +0300
