=== debian/control ===
Source: busybox
Priority: optional
Section: utils
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders:
 Chris Boot <bootc@debian.org>,
 Christoph Biedl <debian.axhn@manchmal.in-ulm.de>,
 Michael Tokarev <mjt@tls.msk.ru>,
Build-Depends: debhelper-compat (= 13),
 zip <!nocheck>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/installer-team/busybox.git
Vcs-Browser: https://salsa.debian.org/installer-team/busybox
Homepage: http://www.busybox.net
Rules-Requires-Root: no

Package: busybox
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: busybox-static
Replaces: busybox-static
Description: Tiny utilities for small and embedded systems
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.). The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 This package installs the BusyBox binary but does not install
 symlinks for any of the supported utilities. Some of the utilities
 can be used in the system by installing the busybox-syslogd,
 udhcpc or udhcpd packages.

Package: busybox-static
Architecture: any
Built-Using: ${built-using}
Depends: ${misc:Depends}
Conflicts: busybox
Replaces: busybox
Provides: busybox
Section: shells
Description: Standalone rescue shell with tons of builtin utilities
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 busybox-static provides you with a statically linked simple stand alone shell
 that provides all the utilities available in BusyBox. This package is
 intended to be used as a rescue shell, in the event that you screw up your
 system. Invoke "busybox sh" and you have a standalone shell ready to save
 your system from certain destruction. Invoke "busybox", and it will list the
 available builtin commands.

Package: busybox-udeb
Package-Type: udeb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: debian-installer
Description: Tiny utilities for the debian-installer
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.). The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 busybox-udeb is used by the debian-installer, so unless you are working on
 the debian-installer, this package is not for you. Installing this
 on your Debian system is a very, very bad idea. You have been warned.

Package: busybox-syslogd
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 busybox (>> ${source:Upstream-Version}) | busybox-static (>> ${source:Upstream-Version}),
 ${misc:Depends},
Provides: linux-kernel-log-daemon, system-log-daemon
Conflicts: linux-kernel-log-daemon, system-log-daemon
Description: Provides syslogd and klogd using busybox
 The system log daemon is responsible for providing logging of
 messages received from programs and facilities on the local host as
 well as from remote hosts.
 .
 The kernel log daemon listens to kernel message sources and is
 responsible for prioritizing and processing operating system
 messages.
 .
 The busybox implementation of the syslogd is particular useful on
 embedded, diskless (netboot) or flash disk based systems because it
 can use a fixed size ring buffer for logging instead of saving logs
 to the disk or sending it to remote logging servers. The ring buffer
 can be read using the (also busybox based) command logread.
 .
 This package provides the glue to the busybox syslogd and klogd to be
 used in the system by providing the appropriate symbolic links and
 scripts.

Package: udhcpc
Section: net
# busybox dhcpc is linux-specific
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 busybox (>> ${source:Upstream-Version}) | busybox-static (>> ${source:Upstream-Version}),
 ${misc:Depends},
Description: Provides the busybox DHCP client implementation
 Busybox contains a very small yet fully functional RFC compliant DHCP
 client udhcpc.
 .
 This package contains the glue to use the busybox udhcpc as DHCP
 client in the system by providing the appropriate symbolic links and
 scripts.

Package: udhcpd
Section: net
# busybox dhcpd is linux-specific
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 busybox (>> ${source:Upstream-Version}) | busybox-static (>> ${source:Upstream-Version}),
 ${misc:Depends},
Provides: dhcpd
Description: Provides the busybox DHCP server implementation
 Busybox contains a very small yet fully function RFC compliant DHCP
 server udhcpd.
 .
 This package contains the glue to use the busybox udhcpd as DHCP
 server in the system by providing the appropriate symbolic links and
 scripts.
