## busybox 20041102-8.6embed1

=== debian/changelog ===
busybox (2:20041102-8.6) unstable; urgency=low

  * add which

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 19 Apr 2005 17:01:16 +0300

busybox (2:20041102-8.5) unstable; urgency=low

  * oops, not so fast. the previous one did not fix tar yet

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 19 Apr 2005 16:31:52 +0300

busybox (2:20041102-8.4) unstable; urgency=low

  * fix exec for debconf
  * add dummy -m to tar

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 19 Apr 2005 16:06:32 +0300

busybox (2:20041102-8.3) unstable; urgency=low

  * Add rmmod applet

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 11 Apr 2005 16:31:08 +0300

busybox (2:20041102-8.2) unstable; urgency=low

  * fix numeric test

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 11 Apr 2005 10:56:58 +0300

busybox (2:20041102-8.1) unstable; urgency=low

  * re-apply performance fixes
  * fix pointers to builtin table
  * Add dbg package

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  5 Apr 2005 15:29:36 +0300

busybox (2:20041102-8) unstable; urgency=low

  * map '[' as builtin (from celf)
  * Fix postrm

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 18 Mar 2005 15:32:20 +0200

busybox (2:20041102-7) unstable; urgency=low

  * fix umount -l
  * performance optimisations

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 18 Mar 2005 13:39:40 +0200

busybox (2:20041102-6) unstable; urgency=low

  * Drop e2fsprogs

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 15 Mar 2005 11:42:04 +0200

busybox (2:20041102-5) unstable; urgency=low

  * Add missing util-linux r/d/c
  * Add some features users might want (like tab completetion)

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 14 Mar 2005 20:39:30 +0200

busybox (2:20041102-4) unstable; urgency=low

  * Drop debianutils virtual package

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 14 Mar 2005 15:39:44 +0200

busybox (2:20041102-3) unstable; urgency=low

  * Less virtual packages.
  * remove unneeded applets
  * TODO: profile applets that should be made ash builtins

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 25 Feb 2005 15:20:16 +0200

busybox (2:20041102-2) unstable; urgency=low

  * Add epoch and virtual packages
  * source alias for "." in ash
  * added busybox startup script

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 30 Nov 2004 18:56:34 +0200

busybox (20041102-1) unstable; urgency=low

  * New upstream (busybox 1.0)
  * Overtake the control from the bloated GNU

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  2 Nov 2004 15:21:25 +0200
