=== debian/control ===
Source: busybox
Priority: optional
Section: base
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Erik Andersen <andersee@debian.org>, Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: busybox
Architecture: any
Depends: ${shlibs:Depends}
Provides:  busybox-static, busybox, busybox-static, findutils,gzip,hostname,ifupdown,module-init-tools,net-tools,procps,sed,tar,coreutils,grep,mount,login, bash, debianutils, util-linux
Replaces:  busybox-static, busybox, busybox-static, findutils,gzip,hostname,ifupdown,module-init-tools,net-tools,procps,sed,tar,coreutils,grep,mount,login, bash, debianutils, util-linux
Conflicts: busybox-static, busybox, busybox-static, findutils,gzip,hostname,ifupdown,module-init-tools,net-tools,procps,sed,tar,coreutils,grep,mount,login, debianutils, util-linux
Section: utils
Description: Tiny utilities for small and embedded systems
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e., ls, cp, mv,
 mount, tar, etc.). The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 This package installs the BusyBox binary but does not install symlinks
 for any of the supported utilities. You can use /bin/busybox --install
 to install BusyBox to the current directory (you do not want to do this
 in / on your Debian system!).
