## busybox 20041102-11

=== debian/changelog ===
busybox (2:20041102-11) unstable; urgency=low

  * Add logger to log from syslog

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri,  9 Sep 2005 15:38:23 +0300

busybox (2:20041102-10) unstable; urgency=low

  * Fix infamous ö bug
  * sleep builting
  * Debug release to identify which bb commands are most used

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  6 Sep 2005 10:25:47 +0300

busybox (2:20041102-9) unstable; urgency=low

  * add chvt (closes: #18427)
  * add stty/reset/clean and mkswap on popular requests
  * fix ps column header (closes: #18044)

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  5 Sep 2005 09:55:50 +0300
