## busybox 20041102-11sdk1

=== debian/changelog ===
busybox (2:20041102-11sdk1) unstable; urgency=low

  * Added vi, ping and traceroute to build

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 18 Oct 2005 16:43:39 +0300
